Aller au contenu
agentsub
Esc
↑↓naviguer↵ouvrir⌘Japerçu

Freeze or unfreeze an agent

POST/v1/owner/agents/{id}/freeze
Authorization
AuthorizationBearer token (JWT) · headerrequired

Clerk human owner session JWT; iss must equal the configured Clerk issuer and the identity must be a human (not agent) owner with a verified email.

or
AuthorizationOAuth2 access token · headerrequired
Scopes:agentsub:owner
Path parameters
idstringrequired

Agent id owned by the authenticated owner

Header parameters
Idempotency-Keystringrequired

Reuse for the same operation and payload; payload changes conflict

min length 1 · max length 255
Request body
requiredapplication/json
frozenbooleanrequired
Responses
200

Updated agent

agentAgent
Show properties
idstring
ownerIdstring
namestring
statusstring
Allowed:activefrozen
capsAgentCaps
Show properties
perTxMaxUcMicrocredits

Integer microcredits as a decimal string. 1 credit = 1,000,000 microcredits = $0.01 USD.

matches ^[0-9]+$
dailyMaxUcMicrocredits

Integer microcredits as a decimal string. 1 credit = 1,000,000 microcredits = $0.01 USD.

matches ^[0-9]+$
monthlyMaxUcMicrocredits

Integer microcredits as a decimal string. 1 credit = 1,000,000 microcredits = $0.01 USD.

matches ^[0-9]+$
allowedAcceptorsstring[]
allowedCategoriesstring[]
profileAgentProfile
Show properties
namestring
presetstring
Allowed:letterringsmosaicgradient
colorstring
400

invalid_input problem

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
401

unauthorized problem; live 401s advertise WWW-Authenticate: Bearer resource_metadata=...

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
503

Runtime or provider configuration unavailable (runtime_configuration_required, signing_configuration_required, runtime_unavailable, workspace_unavailable, provider_configuration_required)

typestringrequired
titlestringrequired
statusintegerrequired
codestringrequired
Request
curl -X POST 'https://api.agentsub.dev/v1/owner/agents/string/freeze' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Idempotency-Key: string' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "frozen": true
}'
Response
{
  "agent": {
    "id": "string",
    "ownerId": "string",
    "name": "string",
    "status": "active",
    "caps": {
      "perTxMaxUc": "string",
      "dailyMaxUc": "string",
      "monthlyMaxUc": "string",
      "allowedAcceptors": [
        "string"
      ],
      "allowedCategories": [
        "string"
      ]
    },
    "profile": {
      "name": "string",
      "preset": "letter",
      "color": "string"
    }
  }
}